/* AnnotationLabelAccessibility.java

	Purpose:
		
	Description:
		
	History:
		6:22 PM 2022/9/19, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart;

import org.zkoss.chart.util.DynamicalAttribute;

/**
 * Accessibility options for an annotation label.
 * <p>
 * Requires the accessibility module
 * to be loaded. For example,
 * <pre><code>
 * Library.setProperty("org.zkoss.chart.modules.accessibility", "true");
 * </code></pre>
 * @author jumperchen
 * @since 10.2.1.0
 */
public class AnnotationLabelAccessibility extends Optionable {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		description
	}

	/**
	 * Returns the description of an annotation label for screen readers and other assistive technology.
	 * <p>Default: {@code null}</p>
	 */
	public String getDescription() {
		return getAttr(Attrs.description, null).asString();
	}

	/**
	 * Sets the description of an annotation label for screen readers and other assistive technology.
	 * <p>Default: {@code null}</p>
	 */
	public void setDescription(String description) {
		setAttr(Attrs.description, description);
	}
}
