/* LangLegend.java

	Purpose:
		
	Description:
		
	History:
		11:27 AM 2022/9/20, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart;

import org.zkoss.chart.util.DynamicalAttribute;

/**
 * Language options for accessibility of the legend.
 * @author jumperchen
 * @since 10.2.1.0
 */
public class LangLegend extends Optionable {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		legendItem,
		legendLabel,
		legendLabelNoTitle
	}

	/**
	 * <p>Default: {@code "Show {itemName}"}
	 */
	public String getLegendItem() {
		return getAttr(Attrs.legendItem, "Show {itemName}").asString();
	}

	public void setLegendItem(String legendItem) {
		setAttr(Attrs.legendItem, legendItem);
	}

	/**
	 * <p>Default: {@code "Chart legend: {legendTitle}"}
	 */
	public String getLegendLabel() {
		return getAttr(Attrs.legendLabel,
				"Chart legend: {legendTitle}").asString();
	}

	public void setLegendLabel(String legendLabel) {
		setAttr(Attrs.legendLabel, legendLabel);
	}

	/**
	 * <p>Default: {@code "Toggle series visibility, {chartTitle}."}
	 */
	public String getLegendLabelNoTitle() {
		return getAttr(Attrs.legendLabelNoTitle,
				"Toggle series visibility, {chartTitle}.").asString();
	}

	public void setLegendLabelNoTitle(String legendLabelNoTitle) {
		setAttr(Attrs.legendLabelNoTitle, legendLabelNoTitle);
	}
}
