/* LangScreenReaderSectionAnnotations.java

	Purpose:
		
	Description:
		
	History:
		11:35 AM 2022/9/20, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart;

import org.zkoss.chart.util.DynamicalAttribute;

/**
 * Language options for annotation descriptions.
 * @author jumperchen
 * @since 10.2.1.0
 */
public class LangScreenReaderSectionAnnotations extends Optionable {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		descriptionMultiplePoints,
		descriptionNoPoints,
		descriptionSinglePoint,
		heading
	}

	/**
	 * <p>Default: {@code "{annotationText}. Related to {annotationPoint}{ Also related to, #each(additionalAnnotationPoints)}"}
	 */
	public String getDescriptionMultiplePoints() {
		return getAttr(Attrs.descriptionMultiplePoints, "{annotationText}. Related to {annotationPoint}{ Also related to, #each(additionalAnnotationPoints)}").asString();
	}

	public void setDescriptionMultiplePoints(String descriptionMultiplePoints) {
		setAttr(Attrs.descriptionMultiplePoints, descriptionMultiplePoints);
	}

	/**
	 * <p>Default: {@code "{annotationText}"}
	 */
	public String getDescriptionNoPoints() {
		return getAttr(Attrs.descriptionNoPoints,
				"{annotationText}").asString();
	}

	public void setDescriptionNoPoints(String descriptionNoPoints) {
		setAttr(Attrs.descriptionNoPoints, descriptionNoPoints);
	}

	/**
	 * <p>Default: {@code "{annotationText}. Related to {annotationPoint}"}
	 */
	public String getDescriptionSinglePoint() {
		return getAttr(Attrs.descriptionSinglePoint, "{annotationText}. Related to {annotationPoint}").asString();
	}

	public void setDescriptionSinglePoint(String descriptionSinglePoint) {
		setAttr(Attrs.descriptionSinglePoint, descriptionSinglePoint);
	}

	/**
	 * <p>Default: {@code "Chart annotations summary"}
	 */
	public String getHeading() {
		return getAttr(Attrs.heading, "Chart annotations summary").asString();
	}

	public void setHeading(String heading) {
		setAttr(Attrs.heading, heading);
	}
}
