/* LangTable.java

	Purpose:
		
	Description:
		
	History:
		12:21 PM 2022/9/20, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart;

import org.zkoss.chart.util.DynamicalAttribute;

/**
 * Accessibility language options for the data table.
 * @author jumperchen
 * @since 10.2.1.0
 */
public class LangTable extends Optionable {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		tableSummary,
		viewAsDataTableButtonText
	}

	/**
	 * <p>Default: {@code "Table representation of chart."}
	 */
	public String getTableSummary() {
		return getAttr(Attrs.tableSummary,
				"Table representation of chart.").asString();
	}

	public void setTableSummary(String tableSummary) {
		setAttr(Attrs.tableSummary, tableSummary);
	}

	/**
	 * <p>Default: {@code "View as data table, {chartTitle}"}
	 */
	public String getViewAsDataTableButtonText() {
		return getAttr(Attrs.viewAsDataTableButtonText, "View as data table, {chartTitle}").asString();
	}

	public void setViewAsDataTableButtonText(String viewAsDataTableButtonText) {
		setAttr(Attrs.viewAsDataTableButtonText, viewAsDataTableButtonText);
	}
}
