package org.zkoss.chart.impl;

import org.zkoss.chart.PlotData;
import org.zkoss.chart.model.ChartsModel;
import org.zkoss.chart.model.XYZModel;

/**
 * A model implementation for heat map chart
 * @author hanhsu
 *
 */
public class HeatmapPlotImpl extends PlotEngineImpl {
	public HeatmapPlotImpl(PlotData plotData) {
		super(plotData);
	}

	public PlotData drawPlot(ChartsModel model) {
		if (model instanceof XYZModel) {
			PlotData data = drawXYZModel((XYZModel) model);
			data.getXAxis().setType("datetime");
			return data;
		}
		throw new IllegalArgumentException("Unsupported model type [" + model + "]");
	}

}
