/* PyramidPlotOptions.java

	Purpose:
		
	Description:
		
	History:
		Wed Nov 27 10:49:39 CST 2019, Created by rudyhuang

Copyright (C) 2019 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.plotOptions;

import org.zkoss.chart.PlotAttribute;
import org.zkoss.chart.util.DynamicalAttribute;

/**
 * An option for pyramid plot
 *
 * @author rudyhuang
 * @since 7.2.1.0
 */
public class PyramidPlotOptions extends FunnelPlotOptions {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		reversed // override
	}

	/**
	 * Returns whether the series should be placed on the other side of the plotArea.
	 *
	 * <p>
	 * Default: {@code true}.
	 * @since 10.2.1.0
	 */
	public boolean isReversed() {
		return getAttr(Attrs.reversed, true).asBoolean();
	}
}
